This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 75811 - Compose table in virtual terminal can't handle UTF-8 characters
Compose table in virtual terminal can't handle UTF-8 characters
Status: CLOSED DUPLICATE of bug 143014
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmac
Brian Brock
:
: 81278 104378 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-12 18:55 EDT by Miloslav Trmac
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 09:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmac 2002-10-12 18:55:16 EDT
Description of Problem:
Linux compose table (which is also used for dead keys) defines result of the
compose operations as 'unsigned char', so dead keys/compose cannot be used
in UTF-8 locales. There is a patch at
http://people.debian.org/~garabik/debian-utf8/HOWTO/download/unicode_dead_keys_linux-2.4.9.patch.gz
but it changes meaning of an existing ioctl.

I'll try to do something about this, reported here just so that it can be
tracked if it is considered important for RHL 8.1/XP. (Although the fact that
people have complained about similar problems in gnome-terminal, but noone
in the console, seems to indicate something...)

Checked in kernels 2.4.18-14 (RH) and 2.5.39.
Comment 1 Bill Nottingham 2003-03-12 12:13:52 EST
*** Bug 81278 has been marked as a duplicate of this bug. ***
Comment 2 Eido Inoue 2003-09-15 17:42:59 EDT
*** Bug 104378 has been marked as a duplicate of this bug. ***
Comment 3 Miloslav Trmac 2004-01-20 06:31:25 EST
I'm sending the following patches for consideration to be included
upstream (=> don't include them in FC yet), I'll be grateful for
any comments.
Comment 4 Bugzilla owner 2004-09-30 11:40:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 5 Miloslav Trmač 2005-02-18 09:37:20 EST
AFAIK this is still an issue with 2.6 kernels.
Comment 6 Miloslav Trmač 2005-02-18 09:53:10 EST
Sorry, I haven't noticed the more complete bug report...

*** This bug has been marked as a duplicate of 143014 ***

Note You need to log in before you can comment on or make changes to this bug.